Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.event
Interface SequenceEventProvider

All Known Subinterfaces:
  ComplexEditableGappedSequence, ConsensusSequence, EditableSequence, GappedComplexSequence, GappedSequence, MutableSequence, SequenceAlignment

All Known Implementing Classes:
  AbstractEditableSequence, AbstractGappedSequence, AbstractMutableSequence, AbstractSequenceAlignment, DefaultConsensusSequence, DefaultEditableSequence, DefaultGappedComplexSequence, EmptyGappedSequence, EmptySequenceAlignment, GroupSequenceAlignment

public interface SequenceEventProvider

SequenceEventProvider.java An interface designed to enforce the methods necessary to listen to a sequence. Created: Thu Mar 2 18:22:26 2000

Version:
  $Id: SequenceEventProvider.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley

Method Summary
`void` | `addSequenceListener(SequenceListener listener)` Adds the specified sequence listener.
`void` | `addVetoableSequenceListener(VetoableSequenceListener listener)` Adds the specified vetoable sequence listener.
`void` | `removeSequenceListener(SequenceListener listener)` Removes the specified sequence listener.
`void` | `removeVetoableSequenceListener(VetoableSequenceListener listener)` Removes the specified vetoable sequence listener.

Method Detail

### addSequenceListener

    public void addSequenceListener(SequenceListener listener)

  Adds the specified sequence listener.

  Parameters:
    `listener` - the sequence listener

### removeSequenceListener

    public void removeSequenceListener(SequenceListener listener)

  Removes the specified sequence listener.

  Parameters:
    `listener` - the sequence listener

### addVetoableSequenceListener

    public void addVetoableSequenceListener(VetoableSequenceListener listener)

  Adds the specified vetoable sequence listener.

  Parameters:
    `listener` - the vetoable sequence listener

### removeVetoableSequenceListener

    public void removeVetoableSequenceListener(VetoableSequenceListener listener)

  Removes the specified vetoable sequence listener.

  Parameters:
    `listener` - the vetoable sequence listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD